'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _intToHex = require('../utils/intToHex');

var _intToHex2 = _interopRequireDefault(_intToHex);

var _leftPad = require('../utils/leftPad');

var _leftPad2 = _interopRequireDefault(_leftPad);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Ensure HOTP counter is in correct format
 *
 * @module core/hotpCounter
 * @param {number} counter - the OTP counter (usually it's an incremental count)
 * @return {string}
 */
function hotpCounter(counter) {
  var hexCounter = (0, _intToHex2.default)(counter);
  return (0, _leftPad2.default)(hexCounter, 16);
}

exports.default = hotpCounter;