'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _hotpOptions = require('./hotpOptions');

var _hotpOptions2 = _interopRequireDefault(_hotpOptions);

var _totpSecret = require('./totpSecret');

var _totpSecret2 = _interopRequireDefault(_totpSecret);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = {
  createHmacSecret: _totpSecret2.default,
  epoch: null,
  step: 30
};

/**
 * Generates options for TOTP
 *
 * @module core/totpOptions
 * @param {number} options.digits - the output token length
 * @param {string} options.epoch - starting time since the UNIX epoch (seconds)
 * @param {number} options.step - time step (seconds)
 * @return {object}
 */
function totpOptions() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var opt = _extends({}, (0, _hotpOptions2.default)(), defaultOptions, options);

  opt.epoch = typeof opt.epoch === 'number' ? opt.epoch * 1000 : new Date().getTime();

  return opt;
}

exports.default = totpOptions;