'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _totpCheck = require('../../core/totpCheck');

var _totpCheck2 = _interopRequireDefault(_totpCheck);

var _decodeKey = require('./decodeKey');

var _decodeKey2 = _interopRequireDefault(_decodeKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Checks the provided OTP token against system generated token
 *
 * @module impl/authenticator/check
 * @param {string} token - the OTP token to check
 * @param {string} secret - your secret that is used to generate the token
 * @param {object} options - options which was used to generate it originally
 * @return {boolean}
 */
function check(token, secret) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  return (0, _totpCheck2.default)(token, (0, _decodeKey2.default)(secret, 'binary'), options);
}

exports.default = check;