'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _thirtyTwo = require('thirty-two');

var _thirtyTwo2 = _interopRequireDefault(_thirtyTwo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Encodes secret into base32
 *
 * @module impl/authenticator/encodeKey
 * @param {string} secret - your secret that is used to generate the token
 * @param {string} format - any format supported by node's `Buffer`
 * @return {string} Base32 string
 */
function encodeKey(secret) {
  var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'binary';

  return _thirtyTwo2.default.encode(secret).toString(format);
}

exports.default = encodeKey;