'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _totpToken = require('../../core/totpToken');

var _totpToken2 = _interopRequireDefault(_totpToken);

var _decodeKey = require('./decodeKey');

var _decodeKey2 = _interopRequireDefault(_decodeKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates the Authenticator OTP code
 *
 * @module impl/authenticator/token
 * @param {string} secret - your secret that is used to generate the token
 * @param {object} options - additional options.
 * @return {number} OTP Code
 */
function token(secret) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  return (0, _totpToken2.default)((0, _decodeKey2.default)(secret, 'binary'), options);
}

exports.default = token;